const mysql = require('mysql')

// 创建数据库连接池
const pool = mysql.createPool({
    user: 'root',
    password: '123456',
    database: 'pro_blog',
    timezone: 'Asia/Shanghai'
});
function query(sql, values = []) {
    return new Promise(function (resolve, reject) { // resolve是成功的回调函数 reject是错误的回调函数
        pool.query(sql, values, function (err, result) {
            if (err) {
                reject(err) // 有错误 直接回调错误的函数
            } else {
                resolve(result) // 直接正常的回调
            }
        });
    });
}
//
// query('select',function(){})
// query('select',[],function(){})

// 暴露接口
module.exports = {
    pool,
    createConnection: pool.getConnection,
    query
}